.modal {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1300;
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    background: linear-gradient(135deg, rgba(0, 19, 85, 0.90) 0%, rgba(12, 45, 158, 0.90) 100%);
    overflow-y: auto;
    opacity: 0;
    visibility: hidden;

    &__layout {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        position: absolute;
    }

    &__content {
        text-align: center;
        border-radius: 20px;
        max-width: calc(100% - 40px);
        width: rem(564);
        padding: rem(15);
        background: linear-gradient(135deg, rgba(146, 170, 252, 0.10) 0%, rgba(183, 200, 255, 0.10) 100%);
        backdrop-filter: blur(50px);
        transform: scale(0.1);
        transition: .4s;
    }

    &__icon {
        fill: $white;
        width: 60px;
        height: 60px;
        font-size: 0;
        line-height: 0;
        overflow: hidden;
        border-radius: 20px;
        margin: 0 auto rem(15) auto;
        background: url("../img/benefit_icn_bg.svg") 50% 50% no-repeat;
        background-size: cover;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            height: 32px;
            flex-shrink: 0;
            display: inline-block;
        }
    }

    &__title {
        font-weight: 500;
        line-height: 130%;
        font-size: rem(20);
        margin-bottom: rem(10);
    }

    &__text {
        opacity: 0.8;
        margin: 0 auto;
        max-width: rem(400);
        font-size: rem(14);
    }

    @include media-breakpoint-up(md) {

        &__content {
            padding: rem(60);
            border-radius: 30px;
        }

        &__icon {
            width: rem(80);
            height: rem(80);
            border-radius: 30px;
            margin-bottom: rem(20);
        }

        &__title {
            font-size: rem(24);
        }

        &__text {
            font-size: rem(16);
        }
    }
}

.modal-open {
    overflow: hidden;

    .modal {
        opacity: 1;
        visibility: visible;

        &__content {
            transform: scale(1);
            transition: .4s;
        }
    }
}
